
:root{
    --white: #f9f9f9;
    --black: #000000;
    --grey: #333333;
    --orange: #FA8128;
}

/* Reset */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: var(--white);
    font-family: "Poppins", sans-serif;
}

a{
    text-decoration: none;
}

/* Header */
.header{
    background-color: var(--grey);
    box-shadow: 0 0.25em 2em 0.5em var(--grey);
    position: sticky;
    top: 0;
    width: 100%;
    padding: 0;
    margin: 0;
    z-index: 999;
    border: none;
    height: 4em;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* Logo */
.identity {
    font-size: 2em;
	font-family: "alternate-gothic-atf", sans-serif;
	font-weight: 300;
	font-style: normal;
	display: inline-block;
    color: var(--white);
    margin: 0 0 0 0;
    padding: 0 0 0 1em;
    letter-spacing: 0.05em;
    border: none;
    position: relative;    
    

}

/* Nav menu */
.nav {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    background-color: var(--grey);
    overflow: hidden;
    display: block;
    text-align: center;
    z-index: -1;
    border: none;
    margin: 0 0 0 0;
    padding: 0 0 0 0;
    line-height: 1em;
}


.nav ul > li:first-of-type {
	padding-top: 10em;
}

.nav li {
	padding: 3em;
	list-style: none;
}

.menu a{
    display: block;
    font-size: 1.8em;
    font-family: "alternate-gothic-atf", sans-serif;
	font-weight: 300;
	font-style: normal;
    color: var(--orange);
    padding: 0 0 0 0;
    margin: 0;
    border: none;
    letter-spacing: 0.1em;
}

.menu a:hover{
    background-color: var(--grey);
}

.nav{
    max-height: 0;
    transition: max-height .5s ease-out;
}

/* Menu Icon */

.hamb{
    cursor: pointer;
    float: right;
    padding: 2em 2em 2em 0;
}


.hamb-line {
    background: var(--white);
    display: block;
    height: 2px;
    position: relative;
    width: 24px;
}

.hamb-line::before,
.hamb-line::after{
    background: var(--white);
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all .2s ease-out;
    width: 100%;
	}

.hamb-line::before{
    top: 6px;
}

.hamb-line::after{
    top: -6px;
}


.side-menu {
    display: none;
}

/* Toggle menu icon */

.side-menu:checked ~ nav{
    max-height: 100%;
}

.side-menu:checked ~ .hamb .hamb-line {
    background: transparent;
}

.side-menu:checked ~ .hamb .hamb-line::before {
    transform: rotate(-45deg);
    top:0;

}

.side-menu:checked ~ .hamb .hamb-line::after {
    transform: rotate(45deg);
    top:0;
}


/* Responsiveness */


@media (min-width: 768px) {
    .nav{
        max-height: none;
        top: 0;
        position: relative;
        width: 100%;
		height: 100%;
        float: right;
        width: fit-content;
        background-color: transparent;
        line-height: 1em;
        margin: 0 1em 0 0;
        border: none;
        display: flex;
        align-items: center;
        justify-content: space-evenly;
    }
    
    
	
    .menu a {
	    position: relative;
	    display: inline-block;
	    width: 100%;
		height: 100%;
	    font-size: 1.2em;
	    padding: 0 1em 0 0;
	    margin: 0 0 0 0;
	    border: none;
	    line-height: 1em;
    }

    .menu li{
        float: left;
    }
    
    
    .nav ul > li:first-of-type {
		padding-top: 0;
	}

	.nav li {
		padding: 0;
	}

    .menu a:hover{
        background-color: transparent;
        color: var(--grey);
        
    }
    
    .hamb{
        display: none;
    }

}